# Uses of Enum Class
org.apache.sysds.common.Types.CorrectionLocationType

Packages that use Types.CorrectionLocationType
Package
Description
org.apache.sysds.common
org.apache.sysds.lops
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of Types.CorrectionLocationType in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.CorrectionLocationType
Modifier and Type
Method
Description
`static Types.CorrectionLocationType`
Types.CorrectionLocationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.CorrectionLocationType[]`
Types.CorrectionLocationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.CorrectionLocationType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.CorrectionLocationType
Modifier and Type
Method
Description
`Types.CorrectionLocationType`
PartialAggregate.`getCorrectionLocation()`
This method computes the location of "correction" terms in the output produced by PartialAgg instruction.
`static Types.CorrectionLocationType`
PartialAggregate.`getCorrectionLocation(Types.AggOp operation, Types.Direction direction)`

## Uses of Types.CorrectionLocationType in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type Types.CorrectionLocationType
Modifier and Type
Method
Description
`void`
CompressedMatrixBlock.`dropLastRowsOrColumns(Types.CorrectionLocationType correctionLocation)`

## Uses of Types.CorrectionLocationType in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return Types.CorrectionLocationType
Modifier and Type
Method
Description
`static Types.CorrectionLocationType`
InstructionUtils.`deriveAggregateOperatorCorrectionLocation(String opcode)`

## Uses of Types.CorrectionLocationType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type Types.CorrectionLocationType
Modifier and Type
Method
Description
`void`
MatrixBlock.`dropLastRowsOrColumns(Types.CorrectionLocationType correctionLocation)`

## Uses of Types.CorrectionLocationType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as Types.CorrectionLocationType
Modifier and Type
Field
Description
`final Types.CorrectionLocationType`
AggregateOperator.`correction`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type Types.CorrectionLocationType
Modifier
Constructor
Description
``
`AggregateOperator(double initValue, ValueFunction op, Types.CorrectionLocationType correctionLocation)`